hpp-constraints: hpp::constraints::JointFrame Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
hpp::constraints::JointFrame Class Reference
Symbolic calculus

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::JointFrame:
[legend]
Collaboration diagram for hpp::constraints::JointFrame:
[legend]

## Public Types
typedef CalculusBase< JointFrame, ValueType_t, JacobianType_t > | Parent_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| JointFrame ()
| JointFrame (const Parent_t &other)
| JointFrame (const JointFrame &jf)
| JointFrame (const JointPtr_t &joint)
const JointPtr_t & | joint () const
void | impl_value (const ConfigurationIn_t)
void | impl_jacobian (const ConfigurationIn_t arg)
Public Member Functions inherited from hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >
| CalculusBase ()
| CalculusBase (const Eigen::Matrix< value_type, 6, 1 > &value, const Eigen::Matrix< value_type, 6, Eigen::Dynamic > &jacobian)
| CalculusBase (const CalculusBase &o)
const Eigen::Matrix< value_type, 6, 1 > & | value () const
const Eigen::Matrix< value_type, 6, Eigen::Dynamic > & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
void | invalidate ()
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
JointPtr_t | joint_
double | theta_
Protected Attributes inherited from hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >
Eigen::Matrix< value_type, 6, 1 > | value_
Eigen::Matrix< value_type, 6, Eigen::Dynamic > | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< JointFrame, Eigen::Matrix< value_type, 6, 1 >, Eigen::Matrix< value_type, 6, Eigen::Dynamic > >
void | init (const typename Traits< JointFrame >::Ptr_t &ptr)

## Member Typedef Documentation

## ◆ Parent_t

typedef CalculusBase<JointFrame, ValueType_t, JacobianType_t> hpp::constraints::JointFrame::Parent_t

## Constructor & Destructor Documentation

## ◆ JointFrame() [1/4]

hpp::constraints::JointFrame::JointFrame | ( |  | ) |
| inline

## ◆ JointFrame() [2/4]

hpp::constraints::JointFrame::JointFrame | ( | const Parent_t & | other | ) |
| inline

## ◆ JointFrame() [3/4]

hpp::constraints::JointFrame::JointFrame | ( | const JointFrame & | jf | ) |
| inline

## ◆ JointFrame() [4/4]

hpp::constraints::JointFrame::JointFrame | ( | const JointPtr_t & | joint | ) |
| inline

## Member Function Documentation

## ◆ impl_jacobian()

void hpp::constraints::JointFrame::impl_jacobian | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ impl_value()

void hpp::constraints::JointFrame::impl_value | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ joint()

const JointPtr_t & hpp::constraints::JointFrame::joint | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ joint_

JointPtr_t hpp::constraints::JointFrame::joint_
| protected

## ◆ theta_

double hpp::constraints::JointFrame::theta_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh